Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.network
Class RolfeNet

    java.lang.Object
      uchicago.src.sim.network.RolfeNet

    public class RolfeNet

extends java.lang.Object

Constructor Summary
`RolfeNet()`
`RolfeNet(java.lang.Class node, java.lang.Class edge)`
`RolfeNet(java.lang.Class node, java.lang.Class edge, int size)`
`RolfeNet(java.lang.Class node, java.lang.Class edge, int size, double dens, double clust, double reci, int step)`

Method Summary
`java.util.ArrayList` | `createRolfeNet()` DO NOT USE!
`java.util.ArrayList` | `createRolfeNet(java.lang.Class node, java.lang.Class edge, int size, double dens, double clust, double reci, int step)`
`double` | `getClustring()` Gets the double of the parameter for the desired clustring (density of ego network).
`double` | `getDensity()` Returns the double of the desired density of the network (ratio of number of existing edges to the maximum possible number of edges) Must be set before makeRolfeNet() is called.
`java.lang.Class` | `getEdgeClass()` Returns the Class of edges to be used in constructing the network.
`java.lang.Class` | `getNodeClass()` Returns the Class of nodes to be used in constructing the network.
`double` | `getReciProb()`
`int` | `getSize()` Returns the int for the size (number of nodes) in the network to be constructed.
`int` | `getSteps()`
`void` | `setClustring(double clust)`
`void` | `setDensity(double dens)` Sets the double of the desired density of the network (ratio of number of existing edges to the maximum possible number of edges) Must be set before makeRolfeNet() is called.
`void` | `setEdgeClass(java.lang.Class edge)` Sets the Class of edges to be used in constructing the network.
`void` | `setNodeClass(java.lang.Class node)` Sets the Class of nodes to be used in constructing the network.
`void` | `setReciProb(double reci)`
`void` | `setSize(int size)` Sets the int for the size (number of nodes) in the network to be constructed.
`void` | `setSteps(int step)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RolfeNet

    public RolfeNet()

### RolfeNet

    public RolfeNet(java.lang.Class node,
                    java.lang.Class edge)

### RolfeNet

    public RolfeNet(java.lang.Class node,
                    java.lang.Class edge,
                    int size)

### RolfeNet

    public RolfeNet(java.lang.Class node,
                    java.lang.Class edge,
                    int size,
                    double dens,
                    double clust,
                    double reci,
                    int step)

Method Detail

### getNodeClass

    public java.lang.Class getNodeClass()

  Returns the Class of nodes to be used in constructing the network. Must be set before makeRolfeNet() is called.

### setNodeClass

    public void setNodeClass(java.lang.Class node)

  Sets the Class of nodes to be used in constructing the network. Must be set before makeRolfeNet() is called.

### getEdgeClass

    public java.lang.Class getEdgeClass()

  Returns the Class of edges to be used in constructing the network. Must be set before makeRolfeNet() is called.

### setEdgeClass

    public void setEdgeClass(java.lang.Class edge)

  Sets the Class of edges to be used in constructing the network. Must be set before makeRolfeNet() is called.

### getSize

    public int getSize()

  Returns the int for the size (number of nodes) in the network to be constructed. Must be set before makeRolfeNet() is called.

### setSize

    public void setSize(int size)

  Sets the int for the size (number of nodes) in the network to be constructed. Must be set before makeRolfeNet() is called.

### getDensity

    public double getDensity()

  Returns the double of the desired density of the network (ratio of number of existing edges to the maximum possible number of edges) Must be set before makeRolfeNet() is called.

### setDensity

    public void setDensity(double dens)

  Sets the double of the desired density of the network (ratio of number of existing edges to the maximum possible number of edges) Must be set before makeRolfeNet() is called.

### getClustring

    public double getClustring()

  Gets the double of the parameter for the desired clustring (density of ego network). Must be set before makeRolfeNet() is called.

### setClustring

    public void setClustring(double clust)

### getReciProb

    public double getReciProb()

### setReciProb

    public void setReciProb(double reci)

### getSteps

    public int getSteps()

### setSteps

    public void setSteps(int step)

### createRolfeNet

    public java.util.ArrayList createRolfeNet()
                                       throws java.lang.IllegalAccessException,
                                              java.lang.InstantiationException

  DO NOT USE! Experimental test class for generating nets with a particular distribution

  Throws:
    `IllegalAccessException,` - InstantiationException
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

### createRolfeNet

    public java.util.ArrayList createRolfeNet(java.lang.Class node,
                                              java.lang.Class edge,
                                              int size,
                                              double dens,
                                              double clust,
                                              double reci,
                                              int step)
                                       throws java.lang.IllegalAccessException,
                                              java.lang.InstantiationException

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD